For the complete documentation index, see llms.txt. This page is also available as Markdown.

eth_newblockfilter - Worldchain

Example code for the eth_newBlockFilter JSON-RPC method. Complete guide on how to use eth_newBlockFilter JSON-RPC in GetBlock Web3 documentation.

Creates a filter in the node to notify when a new block arrives on the World Chain network.

Parameters

None - This method does not accept any parameters.

Request

curl
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "eth_newBlockFilter",
    "params": [],
    "id": "getblock.io"
}'
JavaScript (axios)
import axios from 'axios';

const data = JSON.stringify({
    "jsonrpc": "2.0",
    "method": "eth_newBlockFilter",
    "params": [],
    "id": "getblock.io"
});

const config = {
    method: 'post',
    url: 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/',
    headers: {
        'Content-Type': 'application/json'
    },
    data: data
};

axios(config)
    .then(response => console.log(JSON.stringify(response.data)))
    .catch(error => console.log(error));

Response

Response (JSON)
{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": "0x1"
}

Response Parameters

Field
Type
Description

result

string

Filter ID to be used with eth_getFilterChanges

Use Case

The eth_newBlockFilter method on World Chain is typically used for:

  • Block monitoring

  • New block notifications

  • Chain synchronization

  • Real-time updates

Error Handling

Status Code
Error Message
Cause

403

Forbidden

Missing or invalid ACCESS-TOKEN

Web3 Integration

Last updated

Was this helpful?